classification
Title: Make ssl.PROTOCOL_* an enum
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: christian.heimes, dstufft, ethan.furman, giampaolo.rodola, janssen, pitrou, python-dev
Priority: low Keywords: patch

Created on 2014-03-25 23:13 by pitrou, last changed 2014-04-18 18:39 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
sslproto_enum.patch pitrou, 2014-03-25 23:13 review
Messages (10)
msg214865 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-03-25 23:13
Small patch to make PROTOCOL_SSLv23 and friends enum members. Not sure this is useful.
msg214868 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2014-03-25 23:31
I don't really feel real strongly one way or another about this patch fwiw. Not sure it makes anything easier but I don't think it makes anything harder either.
msg214869 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-03-25 23:32
It may be useful in relation with issue20421, since we could then return one of the enum values (not PROTOCOL_SSLv23, of course).
msg214870 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2014-03-25 23:33
Ah, sure it'd probably be useful in that context.
msg214872 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-25 23:51
I like this. Possibly it should be done for all ssl APIs returning a constant. Are there others?
msg215071 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-03-28 19:38
> Possibly it should be done for all ssl APIs returning a constant. Are there others?

There's SSLContext.verify_mode, but it simply mirrors the configuration chosen by the user.
msg216517 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-04-16 17:49
Anyone else has an opinion on this?
msg216540 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2014-04-16 18:20
Looks good to me.
msg216790 - (view) Author: Roundup Robot (python-dev) Date: 2014-04-18 18:33
New changeset f776771ab0ee by Antoine Pitrou in branch 'default':
Issue #21068: The ssl.PROTOCOL* constants are now enum members.
http://hg.python.org/cpython/rev/f776771ab0ee
msg216791 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-04-18 18:39
Ok, since this is a low-risk change I've made it anyway.
History
Date User Action Args
2014-04-18 18:39:14pitrousetstatus: open -> closed
resolution: fixed
messages: + msg216791

stage: patch review -> resolved
2014-04-18 18:33:14python-devsetnosy: + python-dev
messages: + msg216790
2014-04-16 18:20:58ethan.furmansetmessages: + msg216540
2014-04-16 17:49:44pitrousetmessages: + msg216517
2014-03-28 19:38:10pitrousetmessages: + msg215071
2014-03-25 23:51:26giampaolo.rodolasetmessages: + msg214872
2014-03-25 23:33:12dstufftsetmessages: + msg214870
2014-03-25 23:32:29pitrousetmessages: + msg214869
2014-03-25 23:31:28dstufftsetmessages: + msg214868
2014-03-25 23:26:17ethan.furmansetnosy: + ethan.furman
2014-03-25 23:13:47pitroucreate